跳至內容

PhotoMaker

整合

模型 id photomaker
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/photomaker?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_archive_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

此請求: ≈$0.022 22 API 點數 · ≈ ₽2.30 在此頁面執行

取得 API 金鑰
Tencent 圖像編輯 #editing#customization#realism#personalization

從參考照片封存檔產生個人化肖像,支援風格預設值與選用的 img2img

Tencent · 圖像

您的第一個結果會顯示在這裡

在下方建立請求,並使用您的 API 金鑰執行。輸出會複製到我們的儲存空間,可永久保留或免費保留 7 天。

建立請求

控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。

•必填

盡可能詳細地描述想要生成的圖像,以取得最佳結果。

•必填

提供要放入封存檔的圖像,並以其 URL 指定。

num_images 預設 1

設定單一請求生成的圖像數量,較大的批次會需要更長的生成時間。

進階 negative_prompt · initial_image_url · base_pipeline · style · initial_image_strength · num_inference_steps · style_strength · guidance_scale · seed · enable_safety_checker
預設

指定不需要圖像細節的負面提示詞。可排除色彩、物件、景物或更細微的特徵與品質,例如鬍鬚、模糊或低解析度。

拖放檔案,或

用於 img2img 處理的選用起始圖像。

base_pipeline 預設 photomaker

用於圖像生成的基礎管線。

預設 Photographic
預設 0.5

潛在圖像雜訊等級,從 O 時不加入雜訊到 1 時達到最大值。

預設 50

控制 Stable Diffusion 執行的生成步驟數;增加步驟可能產生更詳細的最終圖像。

預設 20
預設 5

圖像選取的提示詞遵循強度,以 CFG (Classifier Free Guidance) 表示。

用於在 Stable Diffusion 中重現圖像的種子。只要模型版本、提示詞和種子保持不變,每次執行都能精確重現圖像。

POST /run/photomaker?wait=20 報價 → $0.022
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://api.doitong.ru/v1/run/photomaker?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{
    "image_archive_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  }'

# Still "queued" or "running"? Poll with the id from the response:
curl "https://api.doitong.ru/v1/requests/REQUEST_ID?wait=20" \
  -H "Authorization: Bearer $DOITONG_API_KEY"

執行此請求

您的金鑰會保留在此瀏覽器中:只會傳送至 Doitong API,且只有在勾選「記住」時才會儲存至 localStorage。 取得 API 金鑰

關於 PhotoMaker

根據人物照片的 zip 類型檔案(`image_archive_url`)以及必要的文字 `prompt`,建立人物的新圖像。選擇 `photomaker` 或 `photomaker-style` 基礎管線,並從 11 種風格中選擇,例如 Cinematic、Comic book 或 Line art。每次請求支援 1 到 4 張圖像、20 到 100 個推論步驟、1 到 10 的引導,以及可選擇的初始圖像,其 `initial_image_strength` 介於 0 到 1。

參數

請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱

名稱類型 預設值允許值 說明
image_archive_url必填
類型string
提供要放入封存檔的圖像,並以其 URL 指定。
prompt必填
類型string
盡可能詳細地描述想要生成的圖像,以取得最佳結果。
base_pipeline選填
類型enum
預設值photomaker
photomakerphotomaker-style
用於圖像生成的基礎管線。
initial_image_url選填
類型url · image
用於 img2img 處理的選用起始圖像。
initial_image_strength選填
類型number
預設值0.5
0 – 1
潛在圖像雜訊等級,從 O 時不加入雜訊到 1 時達到最大值。
style選填
類型enum
預設值Photographic
(No style)CinematicDisney CharacterDigital ArtPhotographicFantasy artNeonpunkEnhanceComic bookLowpolyLine art
negative_prompt選填
類型string
預設值
指定不需要圖像細節的負面提示詞。可排除色彩、物件、景物或更細微的特徵與品質,例如鬍鬚、模糊或低解析度。
num_inference_steps選填
類型integer
預設值50
20 – 100
控制 Stable Diffusion 執行的生成步驟數;增加步驟可能產生更詳細的最終圖像。
style_strength選填
類型integer
預設值20
15 – 50
num_images選填 num_outputs
類型integer
預設值1
1 – 4
設定單一請求生成的圖像數量,較大的批次會需要更長的生成時間。
guidance_scale選填
類型number
預設值5
1 – 10
圖像選取的提示詞遵循強度,以 CFG (Classifier Free Guidance) 表示。
seed選填
類型integer | null
用於在 Stable Diffusion 中重現圖像的種子。只要模型版本、提示詞和種子保持不變,每次執行都能精確重現圖像。
enable_safety_checker選填
類型boolean
預設值true
在呼叫端獲得授權的情況下,將此值設為 false 可放寬審核。
必填 標準名稱,也可使用

檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案

輸出

GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
  "id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
  "object": "request",
  "model": "photomaker",
  "status": "succeeded",
  "created_at": "2026-10-20T12:00:00Z",
  "started_at": "2026-10-20T12:00:02Z",
  "completed_at": "2026-10-20T12:00:09Z",
  "queue_position": null,
  "cost": {
    "credits": 22,
    "usd": "0.022",
    "charged": 22,
    "refunded": 0
  },
  "input": {
    "image_archive_url": "https://content.doitong.com/images/showcase/v3/gen_fox_cartoon.jpg",
    "prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field"
  },
  "output": {
    "images": [
      {
        "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
        "content_type": "image/jpeg",
        "file_name": "0-output.jpeg",
        "file_size": 1843200,
        "width": 1024,
        "height": 768
      }
    ],
    "seed": 42
  },
  "outputs": [
    {
      "type": "image",
      "url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.jpeg",
      "content_type": "image/jpeg",
      "file_size": 1843200,
      "width": 1024,
      "height": 768,
      "stored": true
    }
  ],
  "error": null,
  "metrics": {
    "inference_seconds": 6.8
  },
  "urls": {
    "self": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
    "cancel": "https://api.doitong.ru/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
  }
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
images
array of object {url, content_type, file_name, file_size, width, height}
seed
integer

給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/photomaker.md. 所有模型與指南: https://doitong.com/developers/llms.txt